Debian Bug report logs - #692830
ITP: nemo -- File manager for cinnamon

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>

Date: Fri, 9 Nov 2012 15:03:01 UTC

Owned by: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>

Severity: wishlist

Fixed in version nemo/1.7.2-1

Done: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#692830; Package wnpp. (Fri, 09 Nov 2012 15:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolas Bourdaud <nicolas.bourdaud@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Fri, 09 Nov 2012 15:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: nemo -- File manager for cinnamon
Date: Fri, 09 Nov 2012 15:59:00 +0100
Package: wnpp
Severity: wishlist
Owner: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>

* Package name    : nemo
  Version         : 1.1.1
  Upstream Author : Linux Mint Project <root@linuxmint.com>
* URL             : https://github.com/linuxmint/nemo/
* License         : GPL2+
  Programming Lang: C
  Description     : File manager for cinnamon

Nemo is a complete fork of Nautilus 3.4 and its goal is to extend the Cinnamon
user experience to desktop and file management.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Nicolas Bourdaud <nicolas.bourdaud@gmail.com>:
Bug#692830; Package wnpp. (Fri, 09 Nov 2012 16:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Nicolas Bourdaud <nicolas.bourdaud@gmail.com>. (Fri, 09 Nov 2012 16:09:06 GMT) Full text and rfc822 format available.

Message #10 received at 692830@bugs.debian.org (full text, mbox):

From: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
To: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>, 692830@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#692830: ITP: nemo -- File manager for cinnamon
Date: Fri, 9 Nov 2012 17:06:57 +0100
On Fri, Nov 09, 2012 at 03:59:00PM +0100, Nicolas Bourdaud wrote:
> 
> Nemo is a complete fork of Nautilus 3.4 and its goal is to extend the Cinnamon
> user experience to desktop and file management.

I don't think it is currently a sensible decision to introduce
duplicate GNOME3 packages into Debian. Nautilus 3.4 is currently
available through GNOME3, so this would introduce redundancy.

Also, I am not really convinced of the quality of the packages by
Linux Mint. The mdm display manager in the current Linux Mint release
is a dirty fork of the original gdm 2.20 code with the word "gdm"
regexp-replaced by "mdm" (the readme [1] refers to
"ftp://ftp.gnome.org/pub/GNOME/sources/mdm/" as the download location,
for example). Also, the debian directory contains a control.in
template which is never used (since this was part of the original
Debian package). The package doesn't cleanly co-install with gdm nor
gdm3, contains tons of lintian errors and uses a completely outdated
version of debhelper. I don't think such packages would meet the
quality standards of Debian.

Also, last time I checked, Linux Mint Debian itself mixes packages
from unstable with their own repository and I have seen many package
conflicts with this setup. I think a derivative distribution should
always maintain their own complete repository.

Cheers,

Adrian

> [1] https://github.com/linuxmint/mdm/blob/master/README
> [2] https://github.com/linuxmint/mdm/tree/master/debian/control.in



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Nicolas Bourdaud <nicolas.bourdaud@gmail.com>:
Bug#692830; Package wnpp. (Mon, 12 Nov 2012 16:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabio Fantoni <fabio.fantoni@heliman.it>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Nicolas Bourdaud <nicolas.bourdaud@gmail.com>. (Mon, 12 Nov 2012 16:15:03 GMT) Full text and rfc822 format available.

Message #15 received at 692830@bugs.debian.org (full text, mbox):

From: Fabio Fantoni <fabio.fantoni@heliman.it>
To: 692830@bugs.debian.org
Subject: Re: Bug#692830: ITP: nemo -- File manager for cinnamon
Date: Mon, 12 Nov 2012 17:09:58 +0100
At the moment Nemo doesn't make substantial changes but I think they 
make it more usable compared to new nautilus and even slightly to 
nautilus 3.4.
Speaking for myself now the only shortcoming is rabbitvcs extension, 
excluding some minor issues.
About debian package it is not bad, Nicolas Bourdaud seems to have 
already started to improve it.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Nicolas Bourdaud <nicolas.bourdaud@gmail.com>:
Bug#692830; Package wnpp. (Sat, 17 Nov 2012 00:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Webster <miketwebster@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Nicolas Bourdaud <nicolas.bourdaud@gmail.com>. (Sat, 17 Nov 2012 00:27:03 GMT) Full text and rfc822 format available.

Message #20 received at 692830@bugs.debian.org (full text, mbox):

From: Michael Webster <miketwebster@gmail.com>
To: 692830@bugs.debian.org
Subject: nemo
Date: Fri, 16 Nov 2012 19:25:22 -0500
[Message part 1 (text/plain, inline)]
What degree of separation is required before a fork becomes non-redundant?
 How is this evaluated?  You have provided some valid reasoning against
including mdm in its current state, however that is off the topic of this
thread.

A substantial amount of work has gone into Nemo since it was forked some
months ago - 184 in my count (granted, a number of those are merges) - and
it is currently under active development.

Nemo is integral to Cinnamon, part of the intended User Experience, and
becoming more-so every day.

Hopefully this 'decision' is given a bit more thought and consideration...
and feel free to try it out before issuing a blanket dismissal and a 'just
use Nautilus' response.

Thanks
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Nicolas Bourdaud <nicolas.bourdaud@gmail.com>:
Bug#692830; Package wnpp. (Mon, 17 Dec 2012 23:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Eula <julieneula@yahoo.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Nicolas Bourdaud <nicolas.bourdaud@gmail.com>. (Mon, 17 Dec 2012 23:48:03 GMT) Full text and rfc822 format available.

Message #25 received at 692830@bugs.debian.org (full text, mbox):

From: Julien Eula <julieneula@yahoo.fr>
To: 692830@bugs.debian.org
Subject: Re: Bug#692830: ITP: nemo -- File manager for cinnamon
Date: Tue, 18 Dec 2012 00:45:29 +0100
Nemo provides a lot of improvements to nautilus' user experience, including:

  *Unified, configurable toolbar: you can add/remove the following: up
icon, refresh icon, toggle button for the location bar / path bar,
home icon, computer icon and search icon.
  * Detachable tabs
  * Option to show the full path in the titlebar and tab bars
(Preferences > Display)
  * Displays an "elevated privileges" banner when running as root
  * Built in "Open as root" context menu item
  * Built in "Open in terminal" context menu item
  * Added GTK bookmarks to the MoveTo/CopyTo context menus
  * Added "Set as Wallpaper" to the context menu
  * Switch view buttons on the toolbar (Grid, List and Compact views)
  * Drag and drop support for the bookmarks in the sidebar
  * Sidebar: indicators under each drive, displaying the free/used space
  * Collapsable sidebar categories
  * Support for sending files via Thunderbird and xdg-email
  * Image properties improvements (merged from Nautilus 3.6)
  * Memory leaks fixes (merged from Nautilus 3.6)

So, "redundancy" is only partially true. I strongly suggest you accept
Nemo into Debian official repositories (provided the packages are good
quality and lintian-clean). If not, then nautilus maintainers should
incorporate these changes to their file manager (which I think would
be preferable, and alleviate the need for a fork such as Nemo). I
don't think they're willing to do this.

Thanks



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Nicolas Bourdaud <nicolas.bourdaud@gmail.com>:
Bug#692830; Package wnpp. (Thu, 14 Mar 2013 07:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Weinehall <tao@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Nicolas Bourdaud <nicolas.bourdaud@gmail.com>. (Thu, 14 Mar 2013 07:57:03 GMT) Full text and rfc822 format available.

Message #30 received at 692830@bugs.debian.org (full text, mbox):

From: David Weinehall <tao@debian.org>
To: 692830@bugs.debian.org
Subject: Nemo
Date: Thu, 14 Mar 2013 08:45:17 +0100
Any progress on this?  Nautilus 3.7.xx is now available in experimental,
which means that running versions of Nautilus from experimental is no
longer an option (since it removes the split view, rendering it by and
large useless for me as a file manager).


Kind regards, David
-- 
 /) David Weinehall <tao@debian.org> /) Rime on my window           (\
//  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~   //  Diamond-white roses of fire //
\)  http://www.acc.umu.se/~tao/    (/   Beautiful hoar-frost       (/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Nicolas Bourdaud <nicolas.bourdaud@gmail.com>:
Bug#692830; Package wnpp. (Fri, 15 Mar 2013 18:59:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Nicolas Bourdaud <nicolas.bourdaud@gmail.com>. (Fri, 15 Mar 2013 18:59:23 GMT) Full text and rfc822 format available.

Message #35 received at 692830@bugs.debian.org (full text, mbox):

From: "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>
To: David Weinehall <tao@debian.org>
Cc: 692830@bugs.debian.org
Subject: preliminary Nemo package
Date: Fri, 15 Mar 2013 09:40:04 +0000
Hi Tao,

Long time no see. But to answer your question, the preliminary package
is available from the git tree[1]. It contains 1.7.1 ATM, the source
tar.gz is available from upstream[2].
Package builds and works as expected.

Laszlo/GCS
[1] git clone git://anonscm.debian.org/pkg-cinnamon/nemo.git
[2] https://github.com/linuxmint/nemo/tags




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 22 Mar 2013 19:06:14 GMT) Full text and rfc822 format available.

Reply sent to Nicolas Bourdaud <nicolas.bourdaud@gmail.com>:
You have taken responsibility. (Tue, 16 Apr 2013 19:03:12 GMT) Full text and rfc822 format available.

Notification sent to Nicolas Bourdaud <nicolas.bourdaud@gmail.com>:
Bug acknowledged by developer. (Tue, 16 Apr 2013 19:03:12 GMT) Full text and rfc822 format available.

Message #42 received at 692830-close@bugs.debian.org (full text, mbox):

From: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
To: 692830-close@bugs.debian.org
Subject: Bug#692830: fixed in nemo 1.7.2-1
Date: Tue, 16 Apr 2013 19:00:05 +0000
Source: nemo
Source-Version: 1.7.2-1

We believe that the bug you reported is fixed in the latest version of
nemo, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 692830@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Nicolas Bourdaud <nicolas.bourdaud@gmail.com> (supplier of updated nemo package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Fri, 22 Mar 2013 15:54:12 +0100
Source: nemo
Binary: nemo nemo-dbg libnemo-extension1 libnemo-extension-dev gir1.2-nemo-3.0 nemo-data
Architecture: source amd64 all
Version: 1.7.2-1
Distribution: unstable
Urgency: low
Maintainer: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
Changed-By: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
Description: 
 gir1.2-nemo-3.0 - libraries for nemo components - gir bindings
 libnemo-extension-dev - Nemo component system facilities (development files)
 libnemo-extension1 - Nemo component system facilities
 nemo       - File manager and graphical shell for Cinnamon
 nemo-data  - File manager and graphical shell for Cinnamon (data files)
 nemo-dbg   - File manager and graphical shell for Cinnamon (Debugging symbols)
Closes: 692830
Changes: 
 nemo (1.7.2-1) unstable; urgency=low
 .
   * Initial release. (Closes: #692830)
Checksums-Sha1: 
 89f70bc99a85c59f393f1b7939b278fbc303c2b3 2656 nemo_1.7.2-1.dsc
 ce0647b0b3bfcba4f48f17a8a0ccb1fe6bf171a7 6569708 nemo_1.7.2.orig.tar.gz
 9310e4ae4ec057dc280718182fc154afec631db2 6922 nemo_1.7.2-1.debian.tar.gz
 66ad490cabd9a9045ebd6c9e265cabf06e03cce5 1054552 nemo_1.7.2-1_amd64.deb
 b4a5c8f9d0544e06f68fdfe688f9585fda951677 3230344 nemo-dbg_1.7.2-1_amd64.deb
 7eecc9240f70c8b649b606d0c6330f82524e7072 219800 libnemo-extension1_1.7.2-1_amd64.deb
 9358a1fead3abe7893a0df3b06850e096ccc432e 240828 libnemo-extension-dev_1.7.2-1_amd64.deb
 6e6727e8a585d96747066e1dcd2d01b2d782ae62 209734 gir1.2-nemo-3.0_1.7.2-1_amd64.deb
 f0b4a7d67c2c0e2b6d788e8fe8364ddf3457081c 4195438 nemo-data_1.7.2-1_all.deb
Checksums-Sha256: 
 2a53bd64404dc9eec52021bd6580574df4525d09aee6442be9a8d36aac72bcf5 2656 nemo_1.7.2-1.dsc
 af8f4a9712fb6cd47fe8a78ee47f403339cf9f738fb948bcfad4afa519653f0e 6569708 nemo_1.7.2.orig.tar.gz
 fee63ff3d5345c43783a29136c3adebe188b9fb79dabdd5e422253f6c57275d7 6922 nemo_1.7.2-1.debian.tar.gz
 08fd6b966f797397a023a67163bc56ecaaa36127d2c72d18f7025ff9eb805cae 1054552 nemo_1.7.2-1_amd64.deb
 52c6bf10132863c2b1d3c8cb7e26ad0a25feb3e5573d290aba4bfbd6cdc6402d 3230344 nemo-dbg_1.7.2-1_amd64.deb
 0e508be4df2d825522404bbc2e6c53be38189822b147b490199b0e632a985879 219800 libnemo-extension1_1.7.2-1_amd64.deb
 95d1a89b8beffc9b5b92eea7729c102fe30e5191328bf1234e25e36747e0c635 240828 libnemo-extension-dev_1.7.2-1_amd64.deb
 b66b6d3b8283994e86fae6f90026df60f785c9105e1dc98bff40b885718a10bf 209734 gir1.2-nemo-3.0_1.7.2-1_amd64.deb
 4a6eadf7d75b3f03a81cb1b5a053987d08231206ada7906e67adb4fc37d1120c 4195438 nemo-data_1.7.2-1_all.deb
Files: 
 212079e7cfe84badfef3cd414f8000be 2656 misc optional nemo_1.7.2-1.dsc
 ced06cd30190b479c3a6575626a46ebb 6569708 misc optional nemo_1.7.2.orig.tar.gz
 8a899a1b699998c806b832d84fd5762f 6922 misc optional nemo_1.7.2-1.debian.tar.gz
 3447e18d030ef7d99bb61602507bb50e 1054552 misc optional nemo_1.7.2-1_amd64.deb
 dae2d81aef06da7a7e1e576a6a08d94d 3230344 debug extra nemo-dbg_1.7.2-1_amd64.deb
 22c10dc2fd6788c57bb885acc3961c7b 219800 libs optional libnemo-extension1_1.7.2-1_amd64.deb
 88901f61b35533f2723bc042f49feb35 240828 libdevel optional libnemo-extension-dev_1.7.2-1_amd64.deb
 d54b9f6b8aebdbc204ac8a8666ed909d 209734 libdevel optional gir1.2-nemo-3.0_1.7.2-1_amd64.deb
 b526076015e03e2fa618f84503d17163 4195438 misc optional nemo-data_1.7.2-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJRTHeUAAoJEBWetcTvyHdM+YMP/2vUuCdBtDYsYddltOvKKDlL
lkKI75LR23WjbUSRswRRbHUZIc/gxbTOATbxabY5vi7URsYg1EItM15ZVuFsLNy6
ma1jkHK/7rWUNRaYbiFm3L1nJ6YGM4khvcWAkkX6LXZt4GBg+h57//waq/u+Xfe4
zxVY/MZGL0YXRXvdwD9XlhfhgD22nQqzeV0PkQ+BLmUBEPEv8FU+o9QaYQVfR14y
/OLEvSFF7eOvPDaV19HKM0o2eZxhII4c5SASX3U/C9YXYfqA77I04U0fBN2UhSC7
lHAJA8yp8SipQLl0w/fDtmMtaZrDA80liZqqf/CSLYH6f8s66ydvhAsS4Or8VdLX
2CpXqgcgsd+HURTzu1pPyfE3s3l+uILPFpPe0ccg5wvSs3/QH3DguoflyRt4Oa7v
QgaDvQ1MgsdEa5cICn95MrViBgGc5gAP+TgFJMTXKKi658D5h315EudWzpTkNZM8
exaSwmVgyPvt2abSosa2OQ3Qsj8HRUamM9Lo0NwHHc/WTH1MMKRrAkRN4S7BQLwu
w6+NvN0oXxZ3Vv8ydyZoobGvEgRcaBWOlNRjbR6sEn3r7a7ff2iXGHuhOvI/Nq2S
NDIfo0x/SDtX235Q11C/X8X983/ZDqWpUzc5k3vNsjifJfolW2KJ5C1sP1+mSVt8
habeqRwMcWnT7vyrI5oH
=rZqx
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 15 May 2013 07:27:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:45:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.